Package org.wso2.carbon.logging.appender.http

## Enum SecuredHttpAppender.FailureWaringLevel

- java.lang.Object
- - java.lang.Enum<SecuredHttpAppender.FailureWaringLevel>
  - - org.wso2.carbon.logging.appender.http.SecuredHttpAppender.FailureWaringLevel

- All Implemented Interfaces:
    `Serializable`, `Comparable<SecuredHttpAppender.FailureWaringLevel>`
  Enclosing class:
    SecuredHttpAppender

      public static enum SecuredHttpAppender.FailureWaringLevel
      extends Enum<SecuredHttpAppender.FailureWaringLevel>

  Enum to represent the warning levels of the failure to publish logs to the remote server.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FULLY_USED` |
    `HALF_QUEUE_SIZE` |
    `INITIAL` |
    `LOOSING_LOGS` |
    `NONE` |
    `OVER_90_PERCENT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SecuredHttpAppender.FailureWaringLevel` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SecuredHttpAppender.FailureWaringLevel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SecuredHttpAppender.FailureWaringLevel NONE

    - #### INITIAL

          public static final SecuredHttpAppender.FailureWaringLevel INITIAL

    - #### HALF_QUEUE_SIZE

          public static final SecuredHttpAppender.FailureWaringLevel HALF_QUEUE_SIZE

    - #### OVER_90_PERCENT

          public static final SecuredHttpAppender.FailureWaringLevel OVER_90_PERCENT

    - #### FULLY_USED

          public static final SecuredHttpAppender.FailureWaringLevel FULLY_USED

    - #### LOOSING_LOGS

          public static final SecuredHttpAppender.FailureWaringLevel LOOSING_LOGS

  - ### Method Detail

    - #### values

          public static SecuredHttpAppender.FailureWaringLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SecuredHttpAppender.FailureWaringLevel c : SecuredHttpAppender.FailureWaringLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SecuredHttpAppender.FailureWaringLevel valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null